> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Invitation

> POST /invitations — create a new workspace invitation.



## OpenAPI

````yaml /openapi.json post /v1/invitations
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/invitations:
    post:
      tags:
        - invitations
      summary: Create Invitation
      description: POST /invitations — create a new workspace invitation.
      operationId: create_invitation_v1_invitations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInvitationRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateInvitationRequest:
      properties:
        email:
          maxLength: 200
          minLength: 3
          title: Email
          type: string
        role:
          default: viewer
          enum:
            - admin
            - analyst
            - viewer
          title: Role
          type: string
        team_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Team Ids
      required:
        - email
      title: CreateInvitationRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````